<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

if (isset ($rm)){
if(isset($HTTP_GET_VARS['rm'])) {$rm = $HTTP_GET_VARS['rm'];}
if (!ctype_digit($rm)) { header("Location: index.php"); die; }
$rm = mysql_escape_string($rm);

mysql_query ("Select rm from rooms where rm='".$rm."';");
if (mysql_affected_rows() == 0){
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"error\" title=\"Ошибка\" ontimer=\"enter.php?$ses&amp;ref=$ref\"><timer value=\"15\"/>";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Ошибка</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
echo $fsize1;
echo "Такой комнаты не существует!";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close($link);
exit;
}

if (empty($pwd)) $pwd=pub;
$pwd=htmlspecialchars(stripslashes(trim($pwd)));

if($rm==10) $takep="&amp;pwd=$pwd&amp;ref=$ref";
else if($mod=="privat") $takep="&amp;mod=$mod&amp;ref=$ref";
else $takep="&amp;ref=$ref";
}else{
$takep="&amp;ref=$ref";
}

if(isset($HTTP_GET_VARS['nk'])) {$nk = $HTTP_GET_VARS['nk'];}
if (!ctype_digit($nk)) { header("Location: index.php"); die; }

$select = @mysql_query ("Select id,user,name,birth,sex,city,mail,infa,icq,posts,credits,gposts,status,date,op,onl,mob,user_ip,user_soft,img,nastroi,visit,room,byeotv,number,level,mysmile,votefoto,para,myavatar,version from users where id='".$nk."'");    
if (mysql_affected_rows() == 0){
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"error\" title=\"Ошибка\" ontimer=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\"><timer value=\"15\"/>";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Ошибка</title>";
echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"2; URL=chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
echo $fsize1;
echo "Юзер не найден. Возможно ник удалён.<br/>";
echo $divide;
echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">В чат</a><br/>\n";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close ($link);
exit;	
}
$inf = mysql_fetch_array ($select); 
$usid=$inf["id"];  
$nick = $inf["user"];
$name = $inf["name"];
$birth = $inf["birth"];
$sex = $inf["sex"];
$city = $inf["city"];
$mail = $inf["mail"];
$site = $inf["site"];
$infa = $inf["infa"];
$icq = $inf["icq"];
$posts = $inf["posts"];
$credits = $inf["credits"];
$gposts = $inf["gposts"];
$status = $inf["status"];
$date = $inf["date"];
$op = $inf["op"];
$onl = $inf["onl"];
$mob = $inf["mob"];
$us_ip = $inf["user_ip"];
$us_soft = $inf["user_soft"];
$img = $inf["img"];   
$nastroi = $inf["nastroi"];
$visit = $inf["visit"];
$room = $inf["room"];
$byeotv = $inf["byeotv"];
$number = $inf["number"];
$level=$inf["level"];
$fr = $inf["friends"]; 
$mysmile = $inf["mysmile"];
$votefoto = $inf["votefoto"];
$ign=$inf["ignor"];
$para=$inf["para"];
$bee=$inf["site"];
$myavatar=$inf["myavatar"];
$version=$inf["version"];

$bind4=$row['bind4'];

if ($credits>=0 && $credits<100) $victstatus="Ученик";
if ($credits>=100 && $credits<500) $victstatus="Студент";
if ($credits>=500 && $credits<1000) $victstatus="Бакалавр";
if ($credits>=1000 && $credits<2000) $victstatus="Магистр";
if ($credits>=2000 && $credits<5000) $victstatus="Кандидат в доктора";
if ($credits>=5000 && $credits<7000) $victstatus="Доктор наук";
if ($credits>=7000) $victstatus="Учитель НеЗнайки =)";

$levelselect = @mysql_query ("Select name from levels where level='".$level."'");
$levels = @mysql_fetch_array($levelselect);
$levname = $levels["name"];

ob_start();
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n";
echo "<card id=\"info\" title=\"$nick\">\n";
echo "<p align=\"left\" mode=\"wrap\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>".$nick."</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">\n";
}
echo $fsize1;
echo "Ник: <b>".$nick."</b><br/>\n";
echo $divide;
if (!isset ($rm)){
echo "<a href=\"send.php?$ses&amp;to=$nick&amp;ref=$ref\">Написать записку</a><br/>\n";
echo $divide;
}
if($img!=""){
echo "-Голосов за <a href=\"userfoto.php?$ses&amp;usid=$usid&amp;rm=$rm$takep\">фото</a> : $votefoto<br/>\n";
}
if($mysmile!=""){
echo "-[<a href=\"fr5.php?usid=$usid\">Личный Смайл</a>]<br/>\n";
}
if($myavatar!=""){
echo "-[<a href=\"fr4.php?usid=$usid\">Личный Аватар</a>]<br/>\n";
}
echo "-ID: $usid<br/>\n";
echo "-Имя: $name<br/>\n";
if($nastroi!="0") echo "-Hacтpoeниe: $nastroi<br/>\n";
echo "-День рождения: $birth<br/>\n";
if ($sex=="М")echo "-Пол: Мужской<br/>\n";
else if ($sex=="Ж")echo "-Пол: Женский<br/>\n";
else echo "-Пол: Средний<br/>\n";
echo "-Город: $city<br/>\n";
if($para!=""){
if ($sex=="М") echo "-Женат: Жена <b>$para</b><br/>\n"; 
else echo "-Замужем: Муж <b>$para</b><br/>\n"; 
}
if($op!=""){
echo "-Оператор: $op<br/>\n";
}
if($mob!=""){
echo "-Moбильник: $mob<br/>\n";
} else {
$brayz=strtok($us_soft,'/'); 
echo "-Мобильный: $brayz<br/>\n";
}
if(($number!=0)&&($number!=""))echo "-Hoмep: <a href=\"wtai://wp/mc;+$number\">+$number</a><br/>\n";
if($mail!=""){
$mail="<a href=\"mail.php?$ses&amp;rm=$rm&amp;to=$mail\">$mail</a>";
echo "-Мыло: $mail<br/>\n";
}
if($icq!=""){
echo "-ICQ: $icq<br/>\n";
}
echo "-Постов: $posts<br/>\n";
echo "-Игровой баланс: $gposts<br/>\n";
if ($byeotv>0)echo "-Купил ответов: $byeotv<br/>";
if ($rm==0){
echo "-Ответов в викторине: $credits<br/>\n";
echo "-Ученая степень: $victstatus<br/>";
}
if ($rm==11){
echo "-Отсосано хуёв: $credits<br/>\n";
}
echo "-О себе: $infa<br/>\n";
echo "-Статус: $status <b>($levname)</b><br/>\n";
echo "Дата регистрации: $date<br/>\n";
echo $divide;
if(($level==8&&$row["level"]<7)||($inv==1&&$row["level"]<7)) {
echo "Информация не найдена!<br/>\n";
} else {
if ($room=="letters"){
if(($onl+300>time())&&($room!="")){
echo "В данный момент находится в <a href=\"chatmail.php?$ses&amp;rm=$room&amp;ref=$ref\">записках</a><br/>\n";
} else {
$d=substr($visit,8,2);
if(substr($d,0,1)==0)$d=substr($d,1,2);
$m=substr($visit,5,2);
if(substr($m,0,1)==0)$m=substr($m,1,2);
$y=substr($visit,0,4);
$cp=substr($visit,11,2);
if(substr($cp,0,1)==0)$cp=substr($cp,1,2);
$mn=substr($visit,14,2);
if($sex=="М") $ob="был";
else $ob="была";
$month = array("","января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
echo "Последний раз $ob $d $month[$m] $y в $cp:$mn в\n";
echo "<a href=\"chatmail.php?$ses&amp;rm=$room&amp;ref=$ref\">записках</a><br/>\n";
}
} else if ($room=="holl"){
if(($onl+300>time())&&($room!="")){
echo "В данный момент находится в <a href=\"enter.php?$ses&amp;ref=$ref\">прихожей</a><br/>\n";
} else {
$d=substr($visit,8,2);
if(substr($d,0,1)==0)$d=substr($d,1,2);
$m=substr($visit,5,2);
if(substr($m,0,1)==0)$m=substr($m,1,2);
$y=substr($visit,0,4);
$cp=substr($visit,11,2);
if(substr($cp,0,1)==0)$cp=substr($cp,1,2);
$mn=substr($visit,14,2);
if($sex=="М") $ob="был";
else $ob="была";
$month = array("","января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
echo "Последний раз $ob $d $month[$m] $y в $cp:$mn в\n";
echo "<a href=\"enter.php?$ses&amp;rm=$room&amp;ref=$ref\">прихожей</a><br/>\n";
}
}else{
$roomselect = @mysql_query ("Select name from rooms where rm=$room");
$rooms = @mysql_fetch_array($roomselect);
$roomname=$rooms["name"];
if(($onl+300>time())&&($room!="")){
echo "В данный момент находится в комнате: \n";
if($room==9)echo "<a href=\"anlim.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
else if($room==11)echo "<a href=\"klaznet.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
else echo "<a href=\"chat.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
} else {
$d=substr($visit,8,2);
if(substr($d,0,1)==0)$d=substr($d,1,2);
$m=substr($visit,5,2);
if(substr($m,0,1)==0)$m=substr($m,1,2);
$y=substr($visit,0,4);
$cp=substr($visit,11,2);
if(substr($cp,0,1)==0)$cp=substr($cp,1,2);
$mn=substr($visit,14,2);
if($sex=="М") $ob="был";
else $ob="была";
$month = array("","января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
echo "Последний раз $ob $d $month[$m] $y в $cp:$mn\n";
if($room==9)echo "<a href=\"anlim.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
else if($room==11)echo "<a href=\"klaznet.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
else echo "<a href=\"chat.php?$ses&amp;rm=$room&amp;ref=$ref\">$roomname</a><br/>\n";
}
}
}
echo $divide;
if (isset ($rm)){
if ($rm!=23)echo "<a href=\"chat.php?$ses&amp;rm=$rm$takep\" accesskey=\"$bind4\">&#8592; В чат($bind4)</a><br/>\n";
else echo "<a href=\"chat.php?$ses&amp;rm=$rm$takep\" accesskey=\"$bind4\">&#8592; В игру($bind4)</a><br/>\n";
}
echo "<a href=\"enter.php?$ses$takep\">&#8592; Прихожая</a><br/>\n";
echo $divide;
$alltraf=$row["alltraf"];
$pagesize=round((ob_get_length()+200)/1024,1);
$alltraf1=$alltraf+$pagesize;
echo "[<a href=\"trafik.php?$ses&amp;ref=$ref&amp;rm=$rm\">$pagesize кб.</a>]<br/>\n";
echo $fsize2; 
if ($ver=="wml")echo "</p></card></wml>\n";
else echo "</div></body></html>\n";
mysql_query ("Update users set alltraf='".$alltraf1."', lasttraf='".$pagesize."' where id='".$id."'");
mysql_close ($link);
ob_end_flush();
?>